zenilib: TGraphFunctionCall Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
TGraphFunctionCall Class Reference

`#include <DependencyGraph.h>`

Inherits TGraphParentNode.

## Public Member Functions

| TGraphFunctionCall (TIntermAggregate *intermFunctionCall)
virtual | ~TGraphFunctionCall ()
const TIntermAggregate * | getIntermFunctionCall () const
virtual void | traverse (TDependencyGraphTraverser *graphTraverser)
Public Member Functions inherited from TGraphParentNode
| TGraphParentNode (TIntermNode *node)
virtual | ~TGraphParentNode ()
void | addDependentNode (TGraphNode *node)
Public Member Functions inherited from TGraphNode
| TGraphNode (TIntermNode *node)
virtual | ~TGraphNode ()

## Additional Inherited Members

Protected Attributes inherited from TGraphNode
TIntermNode * | intermNode

## Detailed Description

Definition at line 75 of file DependencyGraph.h.

## Constructor & Destructor Documentation

TGraphFunctionCall::TGraphFunctionCall | ( | TIntermAggregate * | intermFunctionCall | ) |

inline

Definition at line 77 of file DependencyGraph.h.

virtual TGraphFunctionCall::~TGraphFunctionCall | ( |  | ) |

inlinevirtual

Definition at line 79 of file DependencyGraph.h.

## Member Function Documentation

const TIntermAggregate* TGraphFunctionCall::getIntermFunctionCall | ( |  | ) | const

inline

Definition at line 80 of file DependencyGraph.h.

References TIntermNode::getAsAggregate(), and TGraphNode::intermNode.

Referenced by TDependencyGraph::createFunctionCall(), and TDependencyGraphOutput::visitFunctionCall().

void TGraphFunctionCall::traverse | ( | TDependencyGraphTraverser * | graphTraverser | ) |

virtual

Reimplemented from TGraphParentNode.

Definition at line 41 of file DependencyGraphTraverse.cpp.

References TGraphParentNode::traverse(), and TDependencyGraphTraverser::visitFunctionCall().

Referenced by TCompiler::limitExpressionComplexity().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/depgraph/DependencyGraph.h
- zenilib/jni/external/angle/src/compiler/depgraph/DependencyGraphTraverse.cpp